// Example1100T

#include <IRremote.h>

const int tonePin = 10;
const int irRecvPin = 11;

IRrecv irrecv(irRecvPin); // IR receive object
decode_results results;   // IR decode object

void myTone(int freq, int dur){
    tone(tonePin, freq);
    delay(dur);
    noTone(tonePin);
    delay(dur*4);
}

void setup(){
  delay(2000);
  irrecv.enableIRIn();
}

void loop(){
    if (irrecv.decode(&results)==true){
    delay(200); 
    if(results.value== 0xFF48B7){  // Power button
        myTone(440, 100);
    }
    if(results.value== 0xFF7887){  // Source button
        myTone(880, 500);
    }
    irrecv.resume();
  }
}
